---    
    # Добавил -  из модуля 6.5 - удаляем физическую директорию на nginx сервере
    - name: Delete the html file 
      file:
        path: "{{ project_path }}/html"
        state: absent

    - name: "install yarn, npm, nodejs in loop"
      apt: 
  # в поле item подставляются элементы списка из loop 
        name: "{{ item }}"
        state: latest    
      loop: "{{ packages }}"


    - name: "release_path fixed"
      set_fact:  
        release_path: "{{ project_path }}/releases/{{ lookup('pipe','date +%Y%m%d%H%M%S') }}"
        current_path: "{{ project_path }}/html"

    - name: "make dir recurse project_path"
      file: 
        path: "{{ project_path }}"
        mode: 0755
        recurse: yes
        state: directory

    - name: "make dir recurse release_path"
      file: 
        path: "{{ release_path }}"
        mode: 0755
        recurse: yes
        state: directory

    - name: "clone repository in dir release_path"
    # модуль git устанавливаем в задачн instal ... (в задании не указано)
      git:
        repo: "{{ repository }}"
        dest: "{{ release_path }}"

    - name: "change text on internal IP"
      replace: 
        path: "{{ release_path }}/src/App.js"
        regexp: 'FOR CHANGE'
        replace: "{{ ansible_default_ipv4.address }}"
      
